Skip to main content
`Ctrl`+`K`

# pandas.Timedelta.asm8

Timedelta.asm8

  Return a numpy timedelta64 array scalar view.

  Provides access to the array scalar view (i.e. a combination of the value and the units) associated with the numpy.timedelta64().view(), including a 64-bit integer representation of the timedelta in nanoseconds (Python int compatible).

  Returns:
    numpy timedelta64 array scalar view

      Array scalar view of the timedelta in nanoseconds.

  Examples

      >>> td = pd.Timedelta('1 days 2 min 3 us 42 ns')
      >>> td.asm8
      numpy.timedelta64(86520000003042,'ns')

      >>> td = pd.Timedelta('2 min 3 s')
      >>> td.asm8
      numpy.timedelta64(123000000000,'ns')

      >>> td = pd.Timedelta('3 ms 5 us')
      >>> td.asm8
      numpy.timedelta64(3005000,'ns')

      >>> td = pd.Timedelta(42, unit='ns')
      >>> td.asm8
      numpy.timedelta64(42,'ns')